package guid

import (
	"github.com/google/uuid"
	cstring "github.com/mhaya/extend/string"
	"strings"
)

// Next 生成唯一id
// 以下几种方式仅供参考：
func Next() string {
	id := uuid.New()
	s := id.String()
	output := cstring.ReplaceDigitsWithBase58(s)
	output = strings.Replace(output, "-", "", -1)
	return output
}
